#!/bin/csh
# 
# Processing of a 3D data set acquired with random sampling
# Institut de Biologie Structurale Jean-Pierre Ebel - Grenoble
# nmrPipe should be obtained from http://spin.niddk.nih.gov/NMRPipe/

# FT of the t3 dimension

xyz2pipe -in ./fid_data/hnco_gauss%03d.fid  -x -verb 		\
| nmrPipe  -fn SOL                                  	\
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5  	\
| nmrPipe  -fn ZF  -size 2048                          \
| nmrPipe  -fn FT                                   	\
| nmrPipe  -fn PS -p0 119  -p1 0  -di              	\
| nmrPipe  -fn EXT -x1 8.0ppm -xn 7.5ppm -sw		\
| pipe2xyz -out ./ft_HN/hnco%03d.ft0 -z -ov

# 2D FT of the indirect dimensions
# ZF is used before FT to expand the matrix
# The last line tell nmrPipe that the data are now transformed
# Note that three files should be found: data_d2, data_d3 and data.area

xyz2pipe -in ./ft_HN/hnco%03d.ft0 	  		\
| nmrPipe -fn MAC -macro shuf.M -noRd -noWr		\
| nmrPipe -fn ZF  -size 236				\
| nmrPipe -fn TP -hyper                                 \
| nmrPipe -fn ZF  -size 312                             \
| nmrPipe -fn TP -hyper					\
| Direct2DRFT_full -mode gauss -name data			\
| nmrPipe -fn PS -p0 -0 -p1 0 -di                       \
| nmrPipe -fn REV                                       \
| nmrPipe -fn TP                                        \
| nmrPipe -fn PS -p0 0 -p1 0 -di                        \
| nmrPipe -fn REV                                       \
| pipe2xyz -out ./ft_CN/hnco%03d.ft2 -ov
setfdata ./ft_CN/hnco%03d.ft2 -yFT 1 -zFT 1
